Bug 167240 - [NEW PORT] games/xgalaga++: XGalaga++ is a classic single screen vertical shoot em up
Summary: [NEW PORT] games/xgalaga++: XGalaga++ is a classic single screen vertical sho...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-23 19:10 UTC by nemysis
Modified: 2012-08-17 14:30 UTC (History)
0 users

See Also:


Attachments
.shar (3.85 KB, text/plain)
2012-04-23 19:10 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-04-23 19:10:09 UTC
XGalaga++ is a classic vertical scrolling shoot'em up.
It requires no X Window extension and its window is freely resizable.
It is inspired by XGalaga, but rewritten from scratch,
except for the graphics.

WWW: http://marc.mongenet.ch/OSS/XGalaga/

Generated with FreeBSD Port Tools 0.99_5 (mode: new)
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2012-04-28 23:10:33 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Rescue from pending queue
Comment 2 nemysis 2012-05-03 02:24:53 UTC
--- .shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	xgalaga++
#	xgalaga++/Makefile
#	xgalaga++/pkg-descr
#	xgalaga++/distinfo
#	xgalaga++/files
#	xgalaga++/files/patch-Makefile
#	xgalaga++/pkg-plist
#
echo c - xgalaga++
mkdir -p xgalaga++ > /dev/null 2>&1
echo x - xgalaga++/Makefile
sed 's/^X//' >xgalaga++/Makefile << '05feadec696f761bbfae9aaa87f588e0'
X# New Ports collection makefile for:	xgalaga++
X# Date created:		2012-04-20
X# Whom:			nemysis@gmx.ch
X#
X# $FreeBSD$
X#
X
XPORTNAME=	xgalaga++
XPORTVERSION=	0.8.3
XCATEGORIES=	games
XMASTER_SITES=	http://marc.mongenet.ch/OSS/XGalaga/
XDISTNAME=	${PORTNAME}_${PORTVERSION}
X
XMAINTAINER=	nemysis@gmx.ch
XCOMMENT=	XGalaga++ is a classic single screen vertical shoot em up
X
XLICENSE=	GPLv2
X
XWRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
X
XUSE_GMAKE=	yes
XALL_TARGET=	${PORTNAME}
XUSE_XORG=	x11 xpm
XMAN6=		xgalaga++.6x
XHIGHSCORES=	/var/games/xgalaga++.scores
X
XPORTDOCS=	README
X
Xdo-install:
X# Executable
X	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
X
X# Man
X	${INSTALL_MAN} ${WRKSRC}/${MAN6} ${MANPREFIX}/man/man6/
X
X# Data
X	${MKDIR} ${DATADIR}
X.for d in xpm
X	${CP} ${WRKSRC}/*.xpm ${DATADIR}
X.endfor
X
Xpost-install:
X# Documentations
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X.  for f in ${PORTDOCS}
X	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X.  endfor
X.endif
X
X# Highscores
X.if !exists(${HIGHSCORES})
X	${TOUCH} ${HIGHSCORES}
X.endif
X	${CHMOD} 664 ${HIGHSCORES}
X
X.include <bsd.port.mk>
05feadec696f761bbfae9aaa87f588e0
echo x - xgalaga++/pkg-descr
sed 's/^X//' >xgalaga++/pkg-descr << 'e98cca68b4289bdced0cd00482d741bc'
XXGalaga++ is a classic vertical scrolling shoot em up.
XIt requires no X Window extension and its window is freely resizable.
XIt is inspired by XGalaga, but rewritten from scratch,
Xexcept for the graphics.
X
XWWW: http://marc.mongenet.ch/OSS/XGalaga/
e98cca68b4289bdced0cd00482d741bc
echo x - xgalaga++/distinfo
sed 's/^X//' >xgalaga++/distinfo << '4025167ed5ed78e8ccc88143a26fac80'
XSHA256 (xgalaga++_0.8.3.tar.gz) = cd7444938a923496437a7a4f64e5272eeb098a29c9eec0092ea5acb1804af9f2
XSIZE (xgalaga++_0.8.3.tar.gz) = 32466
4025167ed5ed78e8ccc88143a26fac80
echo c - xgalaga++/files
mkdir -p xgalaga++/files > /dev/null 2>&1
echo x - xgalaga++/files/patch-Makefile
sed 's/^X//' >xgalaga++/files/patch-Makefile << 'dbf378e5dd45f29759ef6fd703467836'
X--- Makefile.orig	2012-04-20 01:25:11.000000000 +0200
X+++ Makefile	2012-04-20 01:55:42.000000000 +0200
X@@ -25,7 +25,7 @@
X builddir = .
X 
X # installation directories
X-installprefix = /usr
X+installprefix = /usr/local
X bindir = $(installprefix)/games
X mandir = $(installprefix)/share/man/man6
X 
dbf378e5dd45f29759ef6fd703467836
echo x - xgalaga++/pkg-plist
sed 's/^X//' >xgalaga++/pkg-plist << 'e984b4d4b62af0b047931a11967be825'
Xbin/xgalaga++
Xshare/xgalaga++/alien1.xpm
Xshare/xgalaga++/alien10.xpm
Xshare/xgalaga++/alien11.xpm
Xshare/xgalaga++/alien12.xpm
Xshare/xgalaga++/alien13.xpm
Xshare/xgalaga++/alien14.xpm
Xshare/xgalaga++/alien2.xpm
Xshare/xgalaga++/alien3.xpm
Xshare/xgalaga++/alien4.xpm
Xshare/xgalaga++/alien5.xpm
Xshare/xgalaga++/alien6.xpm
Xshare/xgalaga++/alien7.xpm
Xshare/xgalaga++/alien8.xpm
Xshare/xgalaga++/alien9.xpm
Xshare/xgalaga++/bomb.xpm
Xshare/xgalaga++/bonus_fire.xpm
Xshare/xgalaga++/bonus_multi.xpm
Xshare/xgalaga++/bonus_shield.xpm
Xshare/xgalaga++/bonus_speed.xpm
Xshare/xgalaga++/bullet.xpm
Xshare/xgalaga++/player.xpm
X@dirrmtry share/xgalaga++
e984b4d4b62af0b047931a11967be825
exit
--- .shar ends here ---
Comment 3 Dmitry Marakasov freebsd_committer 2012-05-12 21:35:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 dfilter service freebsd_committer 2012-08-17 14:25:48 UTC
Author: amdmi3
Date: Fri Aug 17 13:25:39 2012
New Revision: 302683
URL: http://svn.freebsd.org/changeset/ports/302683

Log:
  XGalaga++ is a classic vertical scrolling shoot em up.
  It requires no X Window extension and its window is freely resizable.
  It is inspired by XGalaga, but rewritten from scratch,
  except for the graphics.
  
  WWW: http://marc.mongenet.ch/OSS/XGalaga/
  
  PR:		ports/167240
  Submitted by:	nemysis <nemysis@gmx.ch>

Added:
  head/games/xgalaga++/
  head/games/xgalaga++/Makefile   (contents, props changed)
  head/games/xgalaga++/distinfo   (contents, props changed)
  head/games/xgalaga++/files/
  head/games/xgalaga++/files/pkg-install.in   (contents, props changed)
  head/games/xgalaga++/pkg-descr   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Fri Aug 17 13:24:40 2012	(r302682)
+++ head/games/Makefile	Fri Aug 17 13:25:39 2012	(r302683)
@@ -1021,6 +1021,7 @@
     SUBDIR += xflame
     SUBDIR += xfrisk
     SUBDIR += xgalaga
+    SUBDIR += xgalaga++
     SUBDIR += xglk
     SUBDIR += xgospel
     SUBDIR += xhexagons

Added: head/games/xgalaga++/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xgalaga++/Makefile	Fri Aug 17 13:25:39 2012	(r302683)
@@ -0,0 +1,52 @@
+# New Ports collection makefile for:	xgalaga++
+# Date created:		2012-04-20
+# Whom:			nemysis@gmx.ch
+#
+# $FreeBSD$
+#
+
+PORTNAME=	xgalaga++
+PORTVERSION=	0.8.3
+CATEGORIES=	games
+MASTER_SITES=	http://marc.mongenet.ch/OSS/XGalaga/
+DISTNAME=	${PORTNAME}_${PORTVERSION}
+
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	A classic single screen vertical shoot em up
+
+LICENSE=	GPLv2
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+
+USE_GMAKE=	yes
+ALL_TARGET=	${PORTNAME}
+USE_XORG=	x11 xpm
+MAN6=		xgalaga++.6x
+
+SUB_FILES=	pkg-install
+
+PLIST_FILES=	bin/xgalaga++
+
+PORTDOCS=	README
+
+.include <bsd.port.options.mk>
+
+post-patch:
+	@${REINPLACE_CMD} -e '/^CXX =/ d; s|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/Makefile
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/${MAN6} ${MAN6PREFIX}/man/man6
+	${CHOWN} :games ${PREFIX}/bin/${PORTNAME}
+	${CHMOD} g+s  ${PREFIX}/bin/${PORTNAME}
+
+# Documentation
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
+.endif
+
+	@${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
+
+.include <bsd.port.mk>

Added: head/games/xgalaga++/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xgalaga++/distinfo	Fri Aug 17 13:25:39 2012	(r302683)
@@ -0,0 +1,2 @@
+SHA256 (xgalaga++_0.8.3.tar.gz) = cd7444938a923496437a7a4f64e5272eeb098a29c9eec0092ea5acb1804af9f2
+SIZE (xgalaga++_0.8.3.tar.gz) = 32466

Added: head/games/xgalaga++/files/pkg-install.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xgalaga++/files/pkg-install.in	Fri Aug 17 13:25:39 2012	(r302683)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+FILE="/var/games/xgalaga++.scores"
+
+touch $FILE
+chgrp games $FILE
+chmod 664 $FILE

Added: head/games/xgalaga++/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xgalaga++/pkg-descr	Fri Aug 17 13:25:39 2012	(r302683)
@@ -0,0 +1,6 @@
+XGalaga++ is a classic vertical scrolling shoot em up.
+It requires no X Window extension and its window is freely resizable.
+It is inspired by XGalaga, but rewritten from scratch,
+except for the graphics.
+
+WWW: http://marc.mongenet.ch/OSS/XGalaga/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Dmitry Marakasov freebsd_committer 2012-08-17 14:26:00 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!